# Realms And Roles

This is where you will be able to to find all the infomation you about the realms and the current roles that are implemented in Keycloak

## Realms

The current state where BNM is now will make it only have one realms for both the view and place order login pages. The thought of it only being one realm is because if you have more then one the two cant talk to each other and you will have to have a lot of duplicat roles in both.

## Roles

This will list all the current roles that will be use in BNM

### Admin
Whoever has this role will have access to everything Keycloak Realted. They will be able to create new realms, add new roles, they have complete access to everything 

### Student
This role is for someone that will be placing a order on the BNM page. They will only be able to login into place order and fill out the order they want

### BNM Mantainer  
This is someone that will have access to the BNM realms and maintain the user and there assigned roles. They will be able to add new roles, and add and remove user and give them the assigned roles that they need. This role will only have acces to this realms and not anyother ones 1

### Student Worker
This role they will have access to login to the view order page but they will only be able to view and fill orders 





v1.0.0
